Subject: Re: bug#40733: 28.0.50; Emacs locks up on paste (yank) of unicode characters

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Apr 2020 17:30:42 +0300

> From: Will Bush <[email-masked]>
> Date: Wed, 29 Apr 2020 07:42:20 -0500
> Cc: Robert Pluim <[email-masked]>, "Basil L. Contovounesios" <[email-masked]>, [email-masked], 
> 	James Cloos <[email-masked]>
> 
> Did you see my other message that I forwarded where I forgot to CC everyone? I
> was able to switch between a bunch of revisions of the master branch to see
> where the performance issue started, and it appears to have started with commit
> (88efc736f5 Default cairo to enabled). I was hoping that would narrow it down.

I don't think it does.

And the profile you show doesn't seem to be pointing at Emacs as the
culprit, since all the functions shown are unrelated to displaying
characters.  So perhaps Robert is right, and some font-related
subsystem of your OS is what takes time here.